<?php
/**
* Links Tab Class for handling the CB tab api
* @version $Id$
* @package Community Builder
* @subpackage cb.linkstab.php
* @author Gilad Dayagi
* @copyright (C) 2006 Gilad Dayagi, www.hbrlabs.com
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

class getLinksTab extends cbTabHandler {
	/**
	* Constructor
	*/
	function getLinksTab() {
		$this->cbTabHandler();
	}

	function getDisplayTab($tab,$user,$ui) {
		$params=$this->params;
		$isList = $params->get('isListOption', "0");
		
		global $database, $my;
		
		$title = isset($user->cb_nametitle) ? $database->getEscaped($user->cb_nametitle) : "";
		$search = array("[uid]", "[uname]", "[name]","[fname]","[mname]","[lname]","[title]");
		$replace = array(
			$database->getEscaped($user->id), 
			$database->getEscaped($user->username),
			$database->getEscaped($user->name),
			$database->getEscaped($user->firstname),
			$database->getEscaped($user->middlename),
			$database->getEscaped($user->lastname),
			$title);
			//$database->getEscaped($user->title));
		
		
		$links = array();
		$i = 1;
		$linkName	= $params->get('link'.$i.'Name', '');
		while ($linkName != "")
		{
			$linkHref	= $params->get('link'.$i.'Href', '');
			$linkName = str_replace($search, $replace, $linkName);
			if ($linkHref == "") 
				$linkHref = "javascript:void(0)";
			else 
			{
				$linkHref = str_replace($search, $replace, $linkHref);
				$linkHref = str_replace(" ", "%20", $linkHref);			
			}
			$links[$i] = "<a href = ".sefRelToAbs($linkHref).">".getLangDefinition($linkName)."</a>";
			$i++;
			$linkName	= $params->get('link'.$i.'Name', '');
		}
		
		if (count($links) > 0)
		{
			//build return string
			$return = "\n<div class=cblinkslist>\n";
			if ($isList) $return .= "<ul>\n";
		
			for ( $i = 1; $i <= count($links); $i++) {
			//foreach ($links as $link) {
				if ($isList) {
					$return .= "\t<li";
					if ($i == 1) $return .= " class=\"firstListItem\"";
					$return .= ">" . $links[$i] . "</li>\n";
				}
				else $return.= "\t".$links[$i]."<br/>\n";
			}
		
			if ($isList) $return .= "</ul>\n";
			$return.="</div>\n";		
			return $return;
		}
		else 
			return "";
	} //end getDisplayTab
}	//end class getLinksTab.
?>